Bug 866370 - Review Request: php-channel-theseer - Adds theseer channel to PEAR
Review Request: php-channel-theseer - Adds theseer channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 866428
  Show dependency treegraph
 
Reported: 2012-10-15 04:38 EDT by Remi Collet
Modified: 2012-12-20 10:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora review output (6.82 KB, text/plain)
2012-10-20 12:58 EDT, Johan Cwiklinski
no flags Details

  None (edit)
Description Remi Collet 2012-10-15 04:38:04 EDT
Spec URL: http://remi.fedorapeople.org/php-channel-theseer.spec
SRPM URL: http://remi.fedorapeople.org/php-channel-theseer-1.3-1.fc18.src.rpm
Description:
This package adds the pear.netpirates.net (theseer) channel which allows
PEAR packages from this channel to be installed.


Fedora Account System Username: remi
Comment 1 Johan Cwiklinski 2012-10-20 12:58:01 EDT
Created attachment 630488 [details]
fedora review output
Comment 2 Johan Cwiklinski 2012-10-20 13:04:37 EDT
Package builds fine in mock.

rpmlint output:
php-channel-theseer.noarch: W: spelling-error %description -l en_US netpirates -> net pirates, net-pirates, penetrates
php-channel-theseer.noarch: W: no-documentation
php-channel-theseer.src: W: spelling-error %description -l en_US netpirates -> net pirates, net-pirates, penetrates
php-channel-theseer.src:24: W: unversioned-explicit-provides php-channel(%{channel})

All of those warnings can be ignored.

Require issues pointed in fedora-review output is false positive, the licencing issue can be ignored, as weel as the missing %{name} prefix in Source0. 

The package respects php pear channel packaging guidelines.

APPROVED.
Comment 3 Remi Collet 2012-10-20 13:14:25 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-channel-theseer
Short Description: Adds theseer channel to PEAR 
Owners: remi
Branches: f17 f18 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-10-22 08:06:18 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-22 08:57:12 EDT
php-channel-theseer-1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-theseer-1.3-1.el6
Comment 6 Fedora Update System 2012-10-22 09:00:14 EDT
php-channel-theseer-1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-channel-theseer-1.3-1.fc18
Comment 7 Fedora Update System 2012-10-22 09:00:43 EDT
php-channel-theseer-1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-theseer-1.3-1.fc17
Comment 8 Fedora Update System 2012-10-22 16:56:08 EDT
php-channel-theseer-1.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2012-12-20 10:22:57 EST
php-channel-theseer-1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.